#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# Material Class

Defined in: `src/material/Material.js:3`

Defines a physics material.

## Constructor

### `Material`

(

- `[options]`

)

Defined in `src/material/Material.js:3`

#### Parameters:

- `[options]` Object optional

- Index
- Properties

## Item Index

### Properties

- friction
- id
- name
- restitution

## Properties

### `friction`

Number

Defined in `src/material/Material.js:35`

Friction for this material. If non-negative, it will be used instead of the friction given by ContactMaterials. If there's no matching ContactMaterial, the value from .defaultContactMaterial in the World will be used.

### `id`

Number

Defined in `src/material/Material.js:28`

material id.

### `name`

String

Defined in `src/material/Material.js:22`

### `restitution`

Number

Defined in `src/material/Material.js:41`

Restitution for this material. If non-negative, it will be used instead of the restitution given by ContactMaterials. If there's no matching ContactMaterial, the value from .defaultContactMaterial in the World will be used.